Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.service
Interface ServiceDescription

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  ServiceDescriptionImpl

    public interface ServiceDescription

extends java.io.Serializable

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Method Summary
`AgreementType` | `getAgreementType()`
`java.lang.Class` | `getCompensationClass()`
`java.lang.Class` | `getCompensationEjbInterface()`
`java.lang.String` | `getCompensationJNDIName()`
`java.lang.String` | `getCompensationMethodName()`
`java.lang.Object[]` | `getCompensationParameterAnnotations()`
`java.lang.Class[]` | `getCompensationParameterTypes()`
`java.lang.String` | `getCompensationProviderURL()`
`java.lang.Class` | `getCompensationReturnType()`
`MethodDescription` | `getCompensationService()`
`java.lang.String` | `getCompensationWebMethodName()`
`java.lang.Class` | `getCompletionClass()`
`java.lang.Class` | `getCompletionEjbInterface()`
`java.lang.String` | `getCompletionJNDIName()`
`java.lang.String` | `getCompletionMethodName()`
`java.lang.Object[]` | `getCompletionParameterAnnotations()`
`java.lang.Class[]` | `getCompletionParameterTypes()`
`java.lang.String` | `getCompletionProviderURL()`
`java.lang.Class` | `getCompletionReturnType()`
`MethodDescription` | `getCompletionService()`
`java.lang.String` | `getCompletionWebMethodName()`
`DataMatch` | `getDataMatch()`
`ExecutionMode` | `getExecutionMode()`
`MethodDescription` | `getMethod(java.lang.String methodName)`
`MethodType` | `getMethodType()`
`java.lang.Class` | `getOriginalClass()`
`java.lang.String` | `getOriginalMethodName()`
`java.lang.Object[]` | `getOriginalParameterAnnotations()`
`java.lang.Class[]` | `getOriginalParameterTypes()`
`java.lang.Object` | `getOriginalReturnId()`
`java.lang.Class` | `getOriginalReturnType()`
`java.lang.String` | `getOriginalWebMethodName()`
`ParameterMatch` | `getParameterMatch()`
`boolean` | `isCompensationSingle()`
`boolean` | `isCompletionSingle()`
`void` | `putMethod(java.lang.String methodName, MethodDescription method)`
`void` | `setAgreementType(AgreementType agreementType)`
`void` | `setCompensationClass(java.lang.Class compensationClass)`
`void` | `setCompensationEjbInterface(java.lang.Class ejbInterface)`
`void` | `setCompensationJNDIName(java.lang.String jndiName)`
`void` | `setCompensationMethodName(java.lang.String compensationMethodName)`
`void` | `setCompensationParameterAnnotations(java.lang.Object[] compensationParameterAnnotations)`
`void` | `setCompensationParameterTypes(java.lang.Class[] compensationParameterTypes)`
`void` | `setCompensationProviderURL(java.lang.String providerURL)`
`void` | `setCompensationReturnType(java.lang.Class compensationReturnType)`
`void` | `setCompensationSingle(boolean value)`
`void` | `setCompensationWebMethodName(java.lang.String compensationWebMethodName)`
`void` | `setCompletionClass(java.lang.Class completionClass)`
`void` | `setCompletionEjbInterface(java.lang.Class ejbInterface)`
`void` | `setCompletionJNDIName(java.lang.String jndiName)`
`void` | `setCompletionMethodName(java.lang.String completionMethodName)`
`void` | `setCompletionParameterAnnotations(java.lang.Object[] completionParameterAnnotations)`
`void` | `setCompletionParameterTypes(java.lang.Class[] completionParameterTypes)`
`void` | `setCompletionProviderURL(java.lang.String providerURL)`
`void` | `setCompletionReturnType(java.lang.Class completionReturnType)`
`void` | `setCompletionSingle(boolean value)`
`void` | `setCompletionWebMethodName(java.lang.String completionWebMethodName)`
`void` | `setDataMatch(DataMatch compensationType)`
`void` | `setExecutionMode(ExecutionMode compensationMode)`
`void` | `setMethodType(MethodType serviceType)`
`void` | `setOriginalClass(java.lang.Class originalClass)`
`void` | `setOriginalMethodName(java.lang.String originalMethodName)`
`void` | `setOriginalParameterAnnotations(java.lang.Object[] originalParameterAnnotations)`
`void` | `setOriginalParameterTypes(java.lang.Class[] originalParameterTypes)`
`void` | `setOriginalReturnId(java.lang.Object originalReturnId)`
`void` | `setOriginalReturnType(java.lang.Class originalReturnType)`
`void` | `setOriginalWebMethodName(java.lang.String originalWebMethodName)`
`void` | `setParameterMatch(ParameterMatch parameterMatch)`

Method Detail

### getMethodType

    MethodType getMethodType()

### setMethodType

    void setMethodType(MethodType serviceType)

### getAgreementType

    AgreementType getAgreementType()

### setAgreementType

    void setAgreementType(AgreementType agreementType)

### putMethod

    void putMethod(java.lang.String methodName,
                   MethodDescription method)

### getMethod

    MethodDescription getMethod(java.lang.String methodName)

### getDataMatch

    DataMatch getDataMatch()

### setDataMatch

    void setDataMatch(DataMatch compensationType)

### getExecutionMode

    ExecutionMode getExecutionMode()

### setExecutionMode

    void setExecutionMode(ExecutionMode compensationMode)

### getOriginalClass

    java.lang.Class getOriginalClass()

### setOriginalClass

    void setOriginalClass(java.lang.Class originalClass)

### getOriginalMethodName

    java.lang.String getOriginalMethodName()

### setOriginalMethodName

    void setOriginalMethodName(java.lang.String originalMethodName)

### getOriginalWebMethodName

    java.lang.String getOriginalWebMethodName()

### setOriginalWebMethodName

    void setOriginalWebMethodName(java.lang.String originalWebMethodName)

### getOriginalReturnType

    java.lang.Class getOriginalReturnType()

### setOriginalReturnType

    void setOriginalReturnType(java.lang.Class originalReturnType)

### getCompensationClass

    java.lang.Class getCompensationClass()

### setCompensationClass

    void setCompensationClass(java.lang.Class compensationClass)

### getCompensationMethodName

    java.lang.String getCompensationMethodName()

### setCompensationMethodName

    void setCompensationMethodName(java.lang.String compensationMethodName)

### getCompensationWebMethodName

    java.lang.String getCompensationWebMethodName()

### setCompensationWebMethodName

    void setCompensationWebMethodName(java.lang.String compensationWebMethodName)

### getCompensationReturnType

    java.lang.Class getCompensationReturnType()

### setCompensationReturnType

    void setCompensationReturnType(java.lang.Class compensationReturnType)

### getOriginalParameterTypes

    java.lang.Class[] getOriginalParameterTypes()

### setOriginalParameterTypes

    void setOriginalParameterTypes(java.lang.Class[] originalParameterTypes)

### getCompensationParameterTypes

    java.lang.Class[] getCompensationParameterTypes()

### setCompensationParameterTypes

    void setCompensationParameterTypes(java.lang.Class[] compensationParameterTypes)

### getOriginalReturnId

    java.lang.Object getOriginalReturnId()

### setOriginalReturnId

    void setOriginalReturnId(java.lang.Object originalReturnId)

### getOriginalParameterAnnotations

    java.lang.Object[] getOriginalParameterAnnotations()

### setOriginalParameterAnnotations

    void setOriginalParameterAnnotations(java.lang.Object[] originalParameterAnnotations)

### getCompensationParameterAnnotations

    java.lang.Object[] getCompensationParameterAnnotations()

### setCompensationParameterAnnotations

    void setCompensationParameterAnnotations(java.lang.Object[] compensationParameterAnnotations)

### getParameterMatch

    ParameterMatch getParameterMatch()

### setParameterMatch

    void setParameterMatch(ParameterMatch parameterMatch)

### getCompensationJNDIName

    java.lang.String getCompensationJNDIName()

### setCompensationJNDIName

    void setCompensationJNDIName(java.lang.String jndiName)

### getCompensationProviderURL

    java.lang.String getCompensationProviderURL()

### setCompensationProviderURL

    void setCompensationProviderURL(java.lang.String providerURL)

### isCompensationSingle

    boolean isCompensationSingle()

### setCompensationSingle

    void setCompensationSingle(boolean value)

### getCompensationEjbInterface

    java.lang.Class getCompensationEjbInterface()

### setCompensationEjbInterface

    void setCompensationEjbInterface(java.lang.Class ejbInterface)

### getCompletionClass

    java.lang.Class getCompletionClass()

### setCompletionClass

    void setCompletionClass(java.lang.Class completionClass)

### getCompletionMethodName

    java.lang.String getCompletionMethodName()

### setCompletionMethodName

    void setCompletionMethodName(java.lang.String completionMethodName)

### getCompletionWebMethodName

    java.lang.String getCompletionWebMethodName()

### setCompletionWebMethodName

    void setCompletionWebMethodName(java.lang.String completionWebMethodName)

### getCompletionReturnType

    java.lang.Class getCompletionReturnType()

### setCompletionReturnType

    void setCompletionReturnType(java.lang.Class completionReturnType)

### getCompletionParameterTypes

    java.lang.Class[] getCompletionParameterTypes()

### setCompletionParameterTypes

    void setCompletionParameterTypes(java.lang.Class[] completionParameterTypes)

### getCompletionParameterAnnotations

    java.lang.Object[] getCompletionParameterAnnotations()

### setCompletionParameterAnnotations

    void setCompletionParameterAnnotations(java.lang.Object[] completionParameterAnnotations)

### getCompletionJNDIName

    java.lang.String getCompletionJNDIName()

### setCompletionJNDIName

    void setCompletionJNDIName(java.lang.String jndiName)

### getCompletionProviderURL

    java.lang.String getCompletionProviderURL()

### setCompletionProviderURL

    void setCompletionProviderURL(java.lang.String providerURL)

### isCompletionSingle

    boolean isCompletionSingle()

### setCompletionSingle

    void setCompletionSingle(boolean value)

### getCompletionEjbInterface

    java.lang.Class getCompletionEjbInterface()

### setCompletionEjbInterface

    void setCompletionEjbInterface(java.lang.Class ejbInterface)

### getCompletionService

    MethodDescription getCompletionService()

### getCompensationService

    MethodDescription getCompensationService()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD